body{
    margin:0;
    padding:0;
    background:#f4f6f9;
    font-family:Arial, Helvetica, sans-serif;
    color:#333;
}

.mobile-container{
    max-width:500px;
    margin:auto;
    background:white;
    min-height:100vh;
    box-shadow:0 0 10px rgba(0,0,0,0.1);
}

.header{
    background:#116530;
    color:white;
    padding:20px;
    position:relative;
}

.header h1{
    margin:0;
    font-size:22px;
}

.header p{
    margin-top:5px;
    font-size:14px;
}

.quran-icon{
    position:absolute;
    right:20px;
    top:20px;
}

.quran-icon img{
    width:40px;
    border-radius: 50%;
}

.content{
    padding:20px;
}

.select-surah{
    width:100%;
    padding:14px;
    border-radius:10px;
    border:1px solid #ccc;
    font-size:16px;
}

.info-box{
    background:#f7f7f7;
    border-radius:12px;
    padding:15px;
    margin-bottom:15px;
    text-align: justify;
}

.ayat-card{
    background:white;
    border-radius:15px;
    padding:15px;
    margin-bottom:20px;
    box-shadow:0 2px 8px rgba(0,0,0,0.08);
}

.teks-arab{
    font-size:30px;
    line-height:2;
    text-align:right;
    margin-bottom:15px;
}

.teks-melayu{
    font-size:15px;
    line-height:1.8;
    color:#444;
    margin-bottom:15px;
    text-align: justify;
}

.grid-3{
    display:grid;
    grid-template-columns:1fr;
    gap:10px;
}

@media(min-width:768px){
    .grid-3{
        grid-template-columns:1fr 1fr 1fr;
    }
}

.grid-box{
    background:#f5f5f5;
    border-radius:10px;
    padding:10px;
    text-align: justify;
}

.grid-box h4{
    margin-top:0;
    color:#116530;
}

.button-group{
    margin-top:15px;
    display:flex;
    flex-wrap:wrap;
    gap:10px;
}

.button-group a{
    flex:1;
    text-align:center;
    text-decoration:none;
    background:#116530;
    color:white;
    padding:10px;
    border-radius:10px;
    font-size:14px;
}
.btn-papar{
    width:100%;
    background:#116530;
    color:white;
    border:none;
    padding:14px;
    border-radius:10px;
    font-size:16px;
    cursor:pointer;
}
.nav-bar{
    display:flex;
    justify-content:center;
    gap:5px;
}